package cn.com.poc.equity.service;

import cn.com.poc.equity.entity.BizMemberPointTransactionHistoryEntity;
import cn.com.poc.equity.query.QueryPointTransactionHistoryQueryCondition;
import cn.com.poc.equity.query.QueryPointTransactionHistoryQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizMemberPointTransactionHistoryService extends BaseService {

    BizMemberPointTransactionHistoryEntity get(java.lang.Long id) throws Exception;

    List<BizMemberPointTransactionHistoryEntity> findByExample(BizMemberPointTransactionHistoryEntity example, PagingInfo pagingInfo) throws Exception;

    BizMemberPointTransactionHistoryEntity save(BizMemberPointTransactionHistoryEntity entity) throws Exception;

    BizMemberPointTransactionHistoryEntity update(BizMemberPointTransactionHistoryEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;

    List<QueryPointTransactionHistoryQueryItem> queryPointTransactionHistory(QueryPointTransactionHistoryQueryCondition condition, PagingInfo pagingInfo) throws Exception;

}